.input {
    &__container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;

        &--disabled{
            opacity: .5;
            pointer-events: none;
            user-select: none;
        }
    }

    &__label {
        font-family: "Avenir";
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 8px;
        display: inline-block;
        user-select: none;

        &::first-letter {
            text-transform: uppercase;
        }
    }

    &__field {
        resize: none;
        border-radius: 4px;
        border: 2px solid var(--smoke);
        font-size: 16px;
        padding: 10px 16px;
        color: var(--text-onyx);
        background-color: var(--pearl);
        box-sizing: border-box;
        width: 100%;
        user-select: none;
        transition: outline 250ms ease-in-out;

        &::placeholder{
            color: var(--smoke);
        }

        &:focus {
            outline: none;
            color: var(--text-onyx);
        }
    }
}
